'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _queueinfo = require('./queueinfo');

var _queueinfo2 = _interopRequireDefault(_queueinfo);

var _join = require('./join');

var _join2 = _interopRequireDefault(_join);

var _leave = require('./leave');

var _leave2 = _interopRequireDefault(_leave);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var queues = {
  // Queues
  QUEUEINFOOK: _queueinfo2.default,
  QUEUEJOINOK: _join2.default.OK,
  QUEUEJOINFAILED: _join2.default.FAILED,
  QUEUELEAVEOK: _leave2.default.OK,
  QUEUELEAVEFAILED: _leave2.default.FAILED
};

exports.default = queues;