'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getHangupMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getHangupMessage(refId, fromQueue) {

  fromQueue = (0, _lodash2.default)(fromQueue) ? true : fromQueue;

  if ((0, _lodash2.default)(refId)) {
    log('Missing parameter: refId on encoder.call.getHangupMessage');
    throw new Error('Missing parameter: refId on encoder.call.getHangupMessage');
    return;
  }

  return [fromQueue ? 'HANGUPUID' : 'HANGUP', refId].join(' ');
}