'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _agent = require('./agent');

var _agent2 = _interopRequireDefault(_agent);

var _subscribe = require('./subscribe');

var _subscribe2 = _interopRequireDefault(_subscribe);

var _device = require('./device');

var _device2 = _interopRequireDefault(_device);

var _call = require('./call');

var _call2 = _interopRequireDefault(_call);

var _queues = require('./queues');

var _queues2 = _interopRequireDefault(_queues);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var encoders = {
  agent: _agent2.default,
  subscribe: _subscribe2.default,
  device: _device2.default,
  call: _call2.default,
  queues: _queues2.default
};

exports.default = encoders;