'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getLoginMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getLoginMessage(ext, pass) {

  if ((0, _lodash2.default)(ext)) {
    log('Missing parameter: ext on encoder.agent.getLoginMessage');
    throw new Error('Missing parameter: ext on encoder.agent.getLoginMessage');
  }

  if ((0, _lodash2.default)(pass)) {
    log('Missing parameter: pass on encoder.agent.getLoginMessage');
    throw new Error('Missing parameter: pass on encoder.agent.getLoginMessage');
  }

  return ['LOGIN', ext, pass].join(' ');
}