'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getAnswerMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getAnswerMessage(refId, isExternal) {

  isExternal = (0, _lodash2.default)(isExternal) ? true : isExternal;

  if ((0, _lodash2.default)(refId)) {
    log('Missing parameter: refId on encoder.call.getAnswerMessage');
    throw new Error('Missing parameter: refId on encoder.call.getAnswerMessage');
    return;
  }

  return [isExternal ? 'ANSWERUID' : 'ANSWER', refId].join(' ');
}