'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getQueuesJoinMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getQueuesJoinMessage(queueName, priority) {
  var strArr = void 0;

  if ((0, _lodash2.default)(queueName)) {
    log('Missing parameter: queueName on encoder.queues.getQueuesJoinMessage');
    throw new Error('Missing parameter: queueName on encoder.queues.getQueuesJoinMessage');
  }

  strArr = ['QUEUEJOIN', queueName];

  if (priority) {
    strArr.push(priority);
  }

  return strArr.join(' ');
}