'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = getQueuesLeaveMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getQueuesLeaveMessage(queueName) {
  if ((0, _lodash2.default)(queueName)) {
    log('Missing parameter: queueName on encoder.queues.getQueuesLeavesMessage');
    throw new Error('Missing parameter: queueName on encoder.queues.getQueuesLeavesMessage');
  }

  if ((typeof queueName === 'undefined' ? 'undefined' : _typeof(queueName)) === 'object') {
    queueName = queueName.queue;
  }

  return ['QUEUELEAVE', queueName].join(' ');
}